Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class SimpleSerializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseSerializerFactory
              org.apache.axis.encoding.ser.SimpleSerializerFactory

All Implemented Interfaces:
  java.io.Serializable, SerializerFactory, SerializerFactory

public class SimpleSerializerFactory
extends BaseSerializerFactory

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, log, ser, serClass, serClassConstructor, xmlType`

Constructor Summary
`SimpleSerializerFactory(java.lang.Class javaType, QName xmlType)` Note that the factory is constructed with the QName and xmlType.

Method Summary
`Serializer` | `getSerializerAs(java.lang.String mechanismType)` Returns a Serializer for the specified XML processing mechanism type.

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGeneralPurpose, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSerializerFactory

    public SimpleSerializerFactory(java.lang.Class javaType,
                                   QName xmlType)

  Note that the factory is constructed with the QName and xmlType. This is important to allow distinction between primitive values and java.lang wrappers.

Method Detail

### getSerializerAs

    public Serializer getSerializerAs(java.lang.String mechanismType)
                               throws JAXRPCException

  Description copied from interface: `SerializerFactory`
  Returns a Serializer for the specified XML processing mechanism type.

  Specified by:
    `getSerializerAs` in interface `SerializerFactory`
  Overrides:
    `getSerializerAs` in class `BaseSerializerFactory`
  Throws:
    `JAXRPCException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.